Bug 40509 - fs type vfat not supported by kernel
fs type vfat not supported by kernel
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-14 06:47 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 11:51:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-14 06:47:00 EDT
From Bugzilla Helper:

User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Mac_PowerPC)



Description of problem:

mount -t vfat /dev/hda1 /dosc

mount: fs type vfat not supported by kernel



How reproducible:

Always



Steps to Reproduce:

1. See above

2.

3.

	



Expected Results:  It should mount, with built in support for

vfat on a dual boot system



Additional info:



[root@show /etc]# dmesg

Linux version 2.2.16-22 (root@porky.devel.redhat.com) (gcc version 
egcs-2.91.66

19990314/Linux (egcs-1.1.2 release)) #1 Tue Aug 22 16:49:06 EDT 
2000

Detected 803432 kHz processor.

Console: colour VGA+ 80x25

Calibrating delay loop... 1602.36 BogoMIPS

Memory: 127276k/130944k available (1048k kernel code, 412k 
reserved, 1724k data,

 64k init, 0k bigmem)

Dentry hash table entries: 262144 (order 9, 2048k)

Buffer cache hash table entries: 131072 (order 7, 512k)

Page cache hash table entries: 32768 (order 5, 128k)

VFS: Diskquotas version dquot_6.4.0 initialized

CPU: Intel Pentium III (Coppermine) stepping 06

Checking 386/387 coupling... OK, FPU using exception 16 error 
reporting.

Checking 'hlt' instruction... OK.

POSIX conformance testing by UNIFIX

mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)

PCI: PCI BIOS revision 2.10 entry at 0xf08f0

PCI: Using configuration type 1

PCI: Probing PCI hardware

Linux NET4.0 for Linux 2.2

Based upon Swansea University Computer Society NET3.039

NET4: Unix domain sockets 1.0 for Linux NET4.0.

NET4: Linux TCP/IP 1.0 for NET4.0

IP Protocols: ICMP, UDP, TCP, IGMP

TCP: Hash tables configured (ehash 131072 bhash 65536)

Linux IP multicast router 0.06 plus PIM-SM

Initializing RT netlink socket

Starting kswapd v 1.5

Detected PS/2 Mouse Port.

Serial driver version 4.27 with MANY_PORTS MULTIPORT 
SHARE_IRQ enabled

ttyS00 at 0x03f8 (irq = 4) is a 16550A

ttyS01 at 0x02f8 (irq = 3) is a 16550A

pty: 256 Unix98 ptys configured

apm: BIOS version 1.2 Flags 0x03 (Driver version 1.13)

Real Time Clock Driver v1.09

RAM disk driver initialized:  16 RAM disks of 4096K size

VP_IDE: IDE controller on PCI bus 00 dev 21

VP_IDE: not 100% native mode: will probe irqs later

    ide0: BM-DMA at 0xd800-0xd807, BIOS settings: hda:DMA, 
hdb:DMA

    ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:pio, hdd:pio

hda: Maxtor 94098U8, ATA DISK drive

hdb: CD-ROM 50X L, ATAPI CDROM drive

ide0 at 0x1f0-0x1f7,0x3f6 on irq 14

hda: Maxtor 94098U8, 39082MB w/2048kB Cache, CHS=4982/255/63

Floppy drive(s): fd0 is 1.44M

FDC 0 is a post-1991 82077

md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12

raid5: measuring checksumming speed

raid5: MMX detected, trying high-speed MMX checksum routines

   pII_mmx   :  1786.890 MB/sec

   p5_mmx    :  1877.187 MB/sec

   8regs     :  1379.601 MB/sec

   32regs    :   773.049 MB/sec

using fastest function: p5_mmx (1877.187 MB/sec)

scsi : 0 hosts.

scsi : detected total.

md.c: sizeof(mdp_super_t) = 4096

Partition check:

hda: hda1 hda2 hda3 < hda5 hda6 hda7 hda8 hda9 hda10 hda11 
hda12 >

RAMDISK: Compressed image found at block 0

autodetecting RAID arrays

autorun ...

... autorun DONE.

VFS: Mounted root (ext2 filesystem).

rtl8139.c:v1.07 5/6/99 Donald Becker 
http://cesdis.gsfc.nasa.gov/linux/drivers/r

tl8139.html

eth0: RealTek RTL8139 Fast Ethernet at 0xa800, IRQ 9, 
00:50:ba:48:13:71.

autodetecting RAID arrays

autorun ...

... autorun DONE.

VFS: Mounted root (ext2 filesystem) readonly.

change_root: old root has d_count=1

Trying to unmount old root ... okay

Freeing unused kernel memory: 64k freed

Adding Swap: 265032k swap-space (priority -1)
Comment 1 Arjan van de Ven 2001-05-14 06:50:29 EDT
Can you try "modprobe vfat" as root and try again ?
Comment 2 Need Real Name 2001-05-14 07:07:22 EDT
modprobe vfat
modprobe: Can't open dependencies file 
/lib/modules/2.2.16-22/modules.dep (No su
ch file or directory)
[root@show /etc]# mount -t vfat /dev/hda1 /dosc
mount: fs type vfat not supported by kernel
Comment 3 Brock Organ 2001-05-14 09:52:30 EDT
do you have this problem with the 2.2.16-22 kernel only? (ie does the stock 
7.1 kernel 2.2.4-3 also fail to insert the vfat module)
Comment 4 Brock Organ 2001-05-14 09:54:55 EDT
mea culpa! ... the kernel shipped with 7.1 is the 2.4.2-2 kernel ... (not 
2.4.2-3!)
Comment 5 Need Real Name 2001-05-14 09:58:41 EDT
should I apply a patch to upgrade the kernal to:
2.2.4-3?
Comment 6 Michael K. Johnson 2001-05-14 10:48:01 EDT
If you have the 2.2.16-22 kernel, you do not have Red Hat Linux 7.1.

Run "depmod -ae" and "rpm -v kernel"
Comment 7 Need Real Name 2001-05-14 10:56:37 EDT
I am booting off of a floppy.
I think that this has something to do with my troubles.
Here is what happens when I try the following:
depmod -ae
depmod: Can't open /lib/modules/2.2.16-22/modules.dep for writing
[root@show /mnt]# rpm -v kernel
RPM version 4.0.2
Copyright (C) 1998-2000 - Red Hat, Inc.
This program may be freely redistributed under the terms of the GNU GPL

Usage: rpm {--help}
       rpm {--version}
       rpm {--initdb}   [--dbpath <dir>]
       rpm {--install -i} [-v] [--hash -h] [--percent] [--force] [--test]
                        [--replacepkgs] [--replacefiles] [--root <dir>]
                        [--excludedocs] [--includedocs] [--noscripts]
                        [--rcfile <file>] [--ignorearch] [--dbpath <dir>]
                        [--prefix <dir>] [--ignoreos] [--nodeps] [--allfiles]
                        [--ftpproxy <host>] [--ftpport <port>]
                        [--httpproxy <host>] [--httpport <port>]
                        [--justdb] [--noorder] [--relocate oldpath=newpath]
                        [--badreloc] [--notriggers] [--excludepath <path>]
                        [--ignoresize] file1.rpm ... fileN.rpm
       rpm {--upgrade -U} [-v] [--hash -h] [--percent] [--force] [--test]
                        [--oldpackage] [--root <dir>] [--noscripts]
                        [--excludedocs] [--includedocs] [--rcfile <file>]
                        [--ignorearch]  [--dbpath <dir>] [--prefix <dir>]
                        [--ftpproxy <host>] [--ftpport <port>]
                        [--httpproxy <host>] [--httpport <port>]
                        [--ignoreos] [--nodeps] [--allfiles] [--justdb]
                        [--noorder] [--relocate oldpath=newpath]
                        [--badreloc] [--excludepath <path>] [--ignoresize]
                        file1.rpm ... fileN.rpm
       rpm {--query -q} [-afpg] [-i] [-l] [-s] [-d] [-c] [-v] [-R]
                        [--scripts] [--root <dir>] [--rcfile <file>]
                        [--whatprovides] [--whatrequires] [--requires]
                        [--triggeredby]
                        [--ftpproxy <host>] [--ftpport <port>]
                        [--httpproxy <host>] [--httpport <port>]
                        [--provides] [--triggers] [--dump]
                        [--changelog] [--dbpath <dir>] [targets]
       rpm {--verify -V -y} [-afpg] [--root <dir>] [--rcfile <file>]
                        [--dbpath <dir>] [--nodeps] [--nofiles] [--noscripts]
                        [--nomd5] [targets]
       rpm {--setperms} [-afpg] [target]
       rpm {--setugids} [-afpg] [target]
       rpm {--freshen -F} file1.rpm ... fileN.rpm
       rpm {--erase -e} [--root <dir>] [--noscripts] [--rcfile <file>]
                        [--dbpath <dir>] [--nodeps] [--allmatches]
                        [--justdb] [--notriggers] package1 ... packageN
       rpm {--resign} [--rcfile <file>] package1 package2 ... packageN
     rpm {--addsign} [--rcfile <file>] package1 package2 ... packageN
       rpm {--checksig -K} [--nopgp] [--nogpg] [--nomd5] [--rcfile <file>]
                           package1 ... packageN
       rpm {--rebuilddb} [--rcfile <file>] [--dbpath <dir>]
       rpm {--querytags}
Comment 8 Michael K. Johnson 2001-05-14 11:04:02 EDT
sorry, I mistyped.  I meant "rpm -V kernel"

You need to use the new boot floppy you created while upgrading
to Red Hat Linux 7.1.  The old one you used to boot Red Hat Linux 7.0
is the wrong version.  You can create a new one with the "mkbootdisk"
command.
Comment 9 Need Real Name 2001-05-14 11:29:44 EDT
Hi All,
Thanks so much for your help, I am re-running the installer
now to give you more complete information about the
error that I get during installation, the dialog is complex
and I will paraphrase the errors:

An error occured while installing the boot loader.
...Error devices ... exceeds 1024 cylinders.
Fatal error....too large for linear mode, try lba 32

The system then hangs during the post install configuration
progress dialog box. Ouch!

As a result, no new boot disk can be made (yes,
this install was not smooth!).

Last time, things went a little more smoothly.
Alt-ctrl-del did not work (kbd freeze!).

After a restart (via reset) I tried to do the installation again,
this time making a boot disk...but it says that the system
was not unmounted cleanly and would not let me do another installation.

Sorry for my long story!

There has got to be a better way....
Comment 10 Arjan van de Ven 2001-05-14 11:32:32 EDT
The better way is to just boot your system and make a new bootfloppy with

mkbootdisk 2.4.2-2

as root.
Comment 11 Need Real Name 2001-05-14 11:48:27 EDT
Great idea, but:
Insert a disk in /dev/fd0. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:
mount: fs type msdos not supported by kernel
mount: fs type vfat not supported by kernel
[root@show lyon]#
Is this a chicken vs. egg problem?
Thankfully, I have a second Linux machine...but when I 
make a boot disk from that machine and try to boot
on the problem machine I get a 
kernal panic, no init found. Try passing init= option to kernal.

Golly! 
Comment 12 Arjan van de Ven 2001-05-14 11:51:29 EDT
The other machine probably has a different partition layout.
If you know what your root-partition is, you can add 
"root=/dev/hda6" (replace 6 with whatever it is) to the commandline
of syslinux / lilo.
Comment 13 Need Real Name 2001-05-14 15:12:16 EDT
Thanks so much for everyone's help on this.

The system is booting and mounting the dos volume
fine now!

Regards,
 - Doug

Note You need to log in before you can comment on or make changes to this bug.